﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3000 Self-Test VER VISA
INSTRUMENT:            Sub Tek AFG3000 Internal Calibration VER VISA
DATE:                  2010-06-04 11:49:49
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       82
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3000 Series
#
#  Compatibility:
#        MET/CAL 7.20 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SELF_TEST                    PSUBI("Self-Test")
  1.002  JMPL         INTERNAL_CAL                 PSUBI("Calibration")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# ********************** SELF TEST  ************************************

  2.001  LABEL        SELF_TEST
  2.002  RSLT         =
  2.003  HEAD         SELF TEST
  2.004  DISP         Remove all connections from the UUT.
  2.005  TARGET
  2.006  VISA         [T100000]DIAG:ALL?[I]
  2.007  EVAL   -e NOT(MEM) : SELF TEST

  3.001  HEAD
  3.002  END

  3.003  EVAL   Increment step number

# ********************** INTERNAL CAL ************************************

  4.001  LABEL        INTERNAL_CAL
  4.002  RSLT         =
  4.003  HEAD         INTERNAL CALIBRATION
  4.004  TARGET
  4.005  VISA         [T1000000]CAL:ALL?[I]
  4.006  EVAL   -e NOT(MEM) : INTERNAL CALIBRATION

  5.001  HEAD
  5.002  END
